PATCH /contacts/{contactId}

Update fields of a contact

PATCH
/contacts/{contactId}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

contactId*string

Contact id

Request Body

application/json
  1. body
name?string
email?string
company?string
avatarUrl?string
tags?array<string>
isSubscribed?boolean
isBlocked?boolean
notes?string
customFields?

Response Body

{success, contact}

application/json
  1. response
success?boolean
contact?
Example Request
curl -X PATCH 'https://example.com/api/v1/contacts/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "success": true,  "contact": {    "id": "string",    "name": "string",    "email": "string",    "company": "string",    "avatarUrl": "string",    "tags": [      "string"    ],    "isSubscribed": true,    "isBlocked": true,    "customFields": {},    "notes": "string",    "profileId": "string",    "messagesSentCount": 0,    "messagesReceivedCount": 0,    "lastMessageSentAt": "2019-08-24T14:15:22Z",    "lastMessageReceivedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}